Skip to Content
veriom

Update source group

PATCH
/v1/workspaces/{workspace_id}/source-groups/{group_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
group_id*Group Id
Formatuuid

Request Body

application/json
  1. body
criticality?|null
description?|null
name?|null
owner_label?|null
status?|null
trust_boundary?|null

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
criticality*Criticality
description*Description
group_key*Group Key
id*Id
Formatuuid
name*Name
owner_label*string|null
status*Status
trust_boundary*string|null
updated_at*Updated At
Formatdate-time
version*Version
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/source-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "criticality": "string",  "description": "string",  "group_key": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "owner_label": "string",  "status": "string",  "trust_boundary": "string",  "updated_at": "2019-08-24T14:15:22Z",  "version": 0}